corda / net.corda.node.services.transactions / BFTValidatingNotaryService

# BFTValidatingNotaryService

`class BFTValidatingNotaryService : NotaryService`

A validating notary service operated by a group of parties that don't necessarily trust each other.

To validate a transaction, this service collects proofs that the transaction has been validated and committed by a specified number of notary nodes.

Based on the bft-smart library.

### Constructors

<init> | `BFTValidatingNotaryService(services: ServiceHubInternal, timestampChecker: TimestampChecker, uniquenessProvider: BFTSmartUniquenessProvider)` A validating notary service operated by a group of parties that don't necessarily trust each other.

### Properties

timestampChecker | `val timestampChecker: TimestampChecker`
uniquenessProvider | `val uniquenessProvider: BFTSmartUniquenessProvider`

### Functions

createFlow | `fun createFlow(otherParty: Party): ValidatingNotaryFlow` Implement a factory that specifies the transaction commit flow for the notary service to use

### Companion Object Properties

type | `val type: ServiceType`